Subject: [alpine-devel] testing/hylafax

From: Cameron Banta <[email-masked]>
Date: Wed, 4 Mar 2009 07:46:20 -0600

Hello,

It compiles and the binary runs, but I'm not sure if it actually works, so I
put it in testing. Please review and commit.

Thanks,
Cameron
From 387390118e1c6f628b1f50acc271d8e55925f2f6 Mon Sep 17 00:00:00 2001
From: Cameron Banta <[email-masked]>
Date: Wed, 4 Mar 2009 13:41:38 +0000
Subject: [PATCH] initial commit

---
 testing/hylafax/APKBUILD |   79 ++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 79 insertions(+), 0 deletions(-)
 create mode 100644 testing/hylafax/APKBUILD

diff --git a/testing/hylafax/APKBUILD b/testing/hylafax/APKBUILD
new file mode 100644
index 0000000..8c10c50
--- /dev/null
+++ b/testing/hylafax/APKBUILD
@@ -0,0 +1,79 @@
+# Contributor: Cameron Banta <[email-masked]>
+# Maintainer: Cameron Banta <[email-masked]>
+pkgname=hylafax
+pkgver=4.4.4
+pkgrel=0
+pkgdesc="Sends and receives faxes"
+url="http://www.hylafax.org/"
+license="See COPYING"
+#depends on gcc for libgcc_s.so, it's scripts are hardcoded to bash
+depends="uclibc uclibc++ zlib tiff ghostscript bash gcc"
+makedepends="zlib-dev tiff-dev"
+install="hylafax.install"
+subpackages="$pkgname-doc"
+source="ftp://ftp.hylafax.org/source/$pkgname-$pkgver.tar.gz
+	$install
+	"
+
+build() {
+	cd "$srcdir/$pkgname-$pkgver"
+	
+	# Patch configure c++ problem
+	sed -i -e 's:"iostream.h":<iostream>\n using namespace std;:g' \
+		configure
+
+
+	./configure --nointeractive --disable-pam \
+		--with-CXX=/usr/bin/g++-uc \
+		--with-DIR_BIN=/usr/bin \
+		--with-DIR_SBIN=/usr/sbin \
+		--with-DIR_LIB=/usr/lib \
+		--with-DIR_LIBEXEC=/usr/sbin \
+		--with-DIR_LIBDATA=/var/spool/"$pkgname"/lib \
+		--with-DIR_LOCKS=/var/lock \
+		--with-DIR_MAN=/usr/share/man \
+		--with-DIR_SPOOL=/var/spool/"$pkgname" \
+		--with-DIR_HTML=/usr/share/doc/"$pkgname"/html \
+		--with-PATH_IMPRIP="" \
+		--with-SYSVINIT=no \
+		--with-REGEX=yes \
+		--with-LIBTIFF="-ltiff -lz" \
+		--with-DSO=auto \
+		--with-PATH_EGETTY=/bin/false \
+		--with-PATH_VGETTY=/bin/false \
+		|| return 1
+	make || return 1
+
+	# this makefile has issues installing, it doesn't use the standard 
+	#   install - but the following seems to work
+	mkdir -p "${pkgdir}"/usr/bin "${pkgdir}"/usr/sbin 
+	mkdir -p "${pkgdir}"/usr/lib/"$pkgname" "${pkgdir}"/usr/share/man 
+	mkdir -p "${pkgdir}"/var/spool/"$pkgname" 
+	chown uucp:uucp "${pkgdir}"/var/spool/"$pkgname"
+	chmod 0600 "${pkgdir}"/var/spool/"$pkgname"
+
+	make \
+		BIN="${pkgdir}/usr/bin" \
+		SBIN="${pkgdir}/usr/sbin" \
+		LIBDIR="${pkgdir}/usr/lib" \
+		LIB="${pkgdir}/usr/lib" \
+		LIBEXEC="${pkgdir}/usr/sbin" \
+		LIBDATA="${pkgdir}/usr/lib/$pkgname" \
+		MAN="${pkgdir}/usr/share/man" \
+		SPOOL="${pkgdir}/var/spool/$pkgname" \
+		HTMLDIR="${pkgdir}/usr/share/doc/$pkgname/html" \
+		install || return 1
+
+
+	install -m644 -D "$srcdir/$pkgname-$pkgver/COPYRIGHT" \
+		"$pkgdir"/usr/share/licenses/$pkgname/COPYRIGHT
+	install -m644 -D "$srcdir/$pkgname-$pkgver/README" \
+		"$pkgdir"/usr/share/doc/$pkgname/README
+	
+
+	# init.d script is created by faxsetup 
+	#   - which the user runs after install
+}
+
+md5sums="4beb3d438ca6c4f00f1d94f9643e6668  hylafax-4.4.4.tar.gz
+bd8760735baeb618b8bd6d6488bb91ac  hylafax.install"
-- 
1.6.1.3

---

From: Natanael Copa <[email-masked]>
Date: Wed, 04 Mar 2009 15:18:11 +0100

On Wed, 2009-03-04 at 07:46 -0600, Cameron Banta wrote:
> Hello,
> 
> It compiles and the binary runs, but I'm not sure if it actually
> works, so I put it in testing. Please review and commit.

>>> hylafax: Checking md5sums...
hylafax-4.4.4.tar.gz: OK
md5sum: can't open 'hylafax.install': No such file or directory
hylafax.install: FAILED
md5sum: WARNING: 1 of 2 computed checksums did NOT match
>>> ERROR: hylafax: unpack failed

could you please also send a patch with hylafax.install?

thanks!

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Cameron Banta <[email-masked]>
Date: Wed, 4 Mar 2009 08:21:17 -0600

> could you please also send a patch with hylafax.install?

oops

> -nc
From 4930f6591d937c7b3d97bf46ecf2ec35daeb7af0 Mon Sep 17 00:00:00 2001
From: Cameron Banta <[email-masked]>
Date: Wed, 4 Mar 2009 14:19:42 +0000
Subject: [PATCH] initial commit

---
 testing/hylafax/hylafax.install |   31 +++++++++++++++++++++++++++++++
 1 files changed, 31 insertions(+), 0 deletions(-)
 create mode 100644 testing/hylafax/hylafax.install

diff --git a/testing/hylafax/hylafax.install b/testing/hylafax/hylafax.install
new file mode 100644
index 0000000..6e80da2
--- /dev/null
+++ b/testing/hylafax/hylafax.install
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+case "$1" in
+	pre_install)
+	# add something which happends before install
+	# $2 contains package version
+	;;
+	post_install)
+	# add something which happends after install
+	# $2 contains package version
+		echo Please run faxsetup to configure hylafax
+	;;
+	pre_upgrade)
+	# add something which happends before update
+	# $2 contains new package version
+	# $3 contains old package version
+	;;
+	post_upgrade)
+	# add something which happends after update
+	# $2 contains new package version
+	# $3 contains old package version
+	;;
+	pre_deinstall)
+	# add something which happends before delete
+	# $2 contains package version
+	;;
+	post_deinstall)
+	# add something which happends after delete
+	# $2 contains package version
+	;;
+esac
-- 
1.6.1.3